import CoUxCard from '../../../../components/10x/ux/ux-card.js'
import EuiBasePage from '../eui-base.po.js'

export default class CardPage extends EuiBasePage {

  constructor() {
      super();
  }
  cardByIndex(index) {
    let card =  new CoUxCard(this.mainContent);
    return card.byIndex(index);
  }
  cardByTextContains(text) {
    let card = new CoUxCard(this.mainContent);
    return card.byTextContains(text);
  }
  cardByTextEqualsAndIndex(text, index, normalize=true) {
    let card = new CoUxCard(this.mainContent);
    return card.byTextEqualsAndIndex(text, index, normalize);
  }
  cardFromSectionWithIdByIndex(sectionId, index) {
    let card = new CoUxCard(this.sectionById(sectionId));
    return card.byIndex(index);
  }
}


